classification
Title: test_lib2to3 failure under Windows
Type: behavior Stage: needs patch
Components: 2to3 (2.x to 3.x conversion tool), Tests, Windows Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, meador.inge, pitrou, r.david.murray
Priority: low Keywords: easy

Created on 2009-11-05 15:06 by pitrou, last changed 2010-11-02 12:43 by benjamin.peterson. This issue is now closed.

Messages (4)
msg94933 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-11-05 15:06
test_lib2to3 fails deterministically on the Windows buildbots:

test test_lib2to3 failed -- Traceback (most recent call last):
  File
"E:\cygwin\home\db3l\buildarea\trunk.bolen-windows\build\lib\lib2to3\tests\test_parser.py",
line 161, in test_all_project_files
    self.fail("Idempotency failed: %s" % filepath)
AssertionError: Idempotency failed:
E:\cygwin\home\db3l\buildarea\trunk.bolen-windows\build\lib\lib2to3\fixer_base.py

If you look at the logs (*), you'll see that it's apparently just a
newline issue. Either the test should be modified to ignore newline
style changes, or lib2to3 should be fixed to output the same kind of
newlines it encountered on input.

(*) e.g.
http://www.python.org/dev/buildbot/trunk.stable/builders/x86%20XP-4%20trunk/builds/2590/steps/test/logs/stdio
msg94948 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-11-05 23:35
I think we need someone with access to windows to propose a patch.
msg94960 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-11-06 02:46
Benjamin disabled this test on windows so it is no longer causing the
buildbot to fail.
msg98705 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2010-02-02 01:49
This looks to be fixed now [1].  The log shows 'test_lib2to3' passing.

BTW, why do we run through Cygwin?  I think to test on Windows as most Windows developers do things we need to use the native cmd.exe shell.

[1] http://www.python.org/dev/buildbot/builders/x86%20XP-4%20trunk/builds/2931/steps/test/logs/stdio
History
Date User Action Args
2010-11-02 12:43:30benjamin.petersonsetstatus: open -> closed
resolution: fixed
2010-02-02 01:49:41meador.ingesetnosy: + meador.inge
messages: + msg98705
2009-11-06 02:46:30r.david.murraysetpriority: normal -> low

components: + Tests

keywords: + easy, - buildbot
nosy: + r.david.murray
messages: + msg94960
stage: needs patch
2009-11-05 23:35:11benjamin.petersonsetassignee: benjamin.peterson ->
messages: + msg94948
components: + Windows
2009-11-05 16:00:38r.david.murraysetkeywords: + buildbot
2009-11-05 15:06:29pitroucreate